package de.intevation.flys.client.server;

import org.w3c.dom.Document;

import org.apache.log4j.Logger;

import de.intevation.artifacts.common.utils.ClientProtocolUtils;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Collection;
import de.intevation.flys.client.client.services.DeleteCollectionService;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DeleteCollectionServiceImpl
extends      DoCollectionAction
implements   DeleteCollectionService
{
    private static final Logger logger =
        Logger.getLogger(DeleteCollectionServiceImpl.class);


    public static final String XPATH_RESULT      = "/art:result/text()";
    public static final String OPERATION_FAILURE = "FAILED";

    public void delete(Collection c)
    throws ServerException
    {
        logger.info("Delete collection: " + c.identifier());

        String url  = getServletContext().getInitParameter("server-url");

        Document del = ClientProtocolUtils.newDeleteCollectionDocument();

        doAction(c, del, url);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
